> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a card's activities, paginated



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json get /cards/{cardPublicId}/activities
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /cards/{cardPublicId}/activities:
    get:
      tags:
        - Cards
      summary: Get a card's activities, paginated
      operationId: getCardActivities
      parameters:
        - name: cardPublicId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Maximum number of activities to return.
          schema:
            minimum: 1
            maximum: 100
            default: 10
            type: number
        - name: cursor
          required: false
          in: query
          description: 'Pagination cursor: nextCursor from the previous page.'
          schema:
            type: string
            format: date-time
            pattern: >-
              ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
        - name: cursorPublicId
          required: false
          in: query
          description: 'Pagination cursor: nextCursorPublicId from the previous page.'
          schema:
            minLength: 12
            maxLength: 12
            type: string
        - name: order
          required: false
          in: query
          description: Return the oldest or newest activities first.
          schema:
            default: oldest
            type: string
            enum:
              - oldest
              - newest
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivitiesResponseDto_Output'
components:
  schemas:
    ActivitiesResponseDto_Output:
      type: object
      properties:
        activities:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
              type:
                type: string
              createdAt:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
              fromIndex:
                type: number
                nullable: true
              toIndex:
                type: number
                nullable: true
              fromTitle:
                type: string
                nullable: true
              toTitle:
                type: string
                nullable: true
              fromDescription:
                type: string
                nullable: true
              toDescription:
                type: string
                nullable: true
              fromDueDate:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                nullable: true
              toDueDate:
                type: string
                format: date-time
                pattern: >-
                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                nullable: true
              fromList:
                type: object
                properties:
                  publicId:
                    type: string
                  name:
                    type: string
                  index:
                    type: number
                required:
                  - publicId
                  - name
                  - index
                additionalProperties: false
                nullable: true
              toList:
                type: object
                properties:
                  publicId:
                    type: string
                  name:
                    type: string
                  index:
                    type: number
                required:
                  - publicId
                  - name
                  - index
                additionalProperties: false
                nullable: true
              label:
                type: object
                properties:
                  publicId:
                    type: string
                  name:
                    type: string
                required:
                  - publicId
                  - name
                additionalProperties: false
                nullable: true
              comment:
                type: object
                properties:
                  publicId:
                    type: string
                  comment:
                    type: string
                  createdBy:
                    type: string
                    nullable: true
                  updatedAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                    nullable: true
                  deletedAt:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                    nullable: true
                required:
                  - publicId
                  - comment
                  - createdBy
                  - updatedAt
                  - deletedAt
                additionalProperties: false
                nullable: true
              member:
                type: object
                properties:
                  publicId:
                    type: string
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                        nullable: true
                      name:
                        type: string
                        nullable: true
                      email:
                        type: string
                      image:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - email
                      - image
                    additionalProperties: false
                    nullable: true
                required:
                  - publicId
                  - user
                additionalProperties: false
                nullable: true
              user:
                type: object
                properties:
                  id:
                    type: string
                    nullable: true
                  name:
                    type: string
                    nullable: true
                  email:
                    type: string
                  image:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
                  - email
                  - image
                additionalProperties: false
                nullable: true
              attachment:
                type: object
                properties:
                  publicId:
                    type: string
                  filename:
                    type: string
                  originalFilename:
                    type: string
                    nullable: true
                required:
                  - publicId
                  - filename
                  - originalFilename
                additionalProperties: false
                nullable: true
            required:
              - publicId
              - type
              - createdAt
              - fromIndex
              - toIndex
              - fromTitle
              - toTitle
              - fromDescription
              - toDescription
              - fromDueDate
              - toDueDate
              - fromList
              - toList
              - label
              - comment
              - member
              - user
              - attachment
            additionalProperties: false
        hasMore:
          type: boolean
        nextCursor:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
          nullable: true
        nextCursorPublicId:
          type: string
          minLength: 12
          maxLength: 12
          nullable: true
      required:
        - activities
        - hasMore
        - nextCursor
        - nextCursorPublicId
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.